package com.docus.server.service.impl;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.convert.SchSystemParamsConvert;
import com.docus.server.dto.scheduling.management.SchSystemParamsDTO;
import com.docus.server.entity.scheduling.management.SchSystemParams;
import com.docus.server.infrastructure.dao.ISchSystemParamsDao;
import com.docus.server.service.ISchSystemParamsService;
import com.docus.server.vo.scheduling.management.SchSystemParamsVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 系统参数表 服务实现类
 *
 * @author AutoGenerator
 * @since 2023-07-14
 */
@Service
public class SchSystemParamsServiceImpl implements ISchSystemParamsService {
    @Resource
    private ISchSystemParamsDao iSchSystemParamsDao;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public SchSystemParamsVO findById(String id) {
        return SchSystemParamsConvert.INSTANCE.convertVO(iSchSystemParamsDao.findById(id));
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<SchSystemParamsVO> search(SearchRequest searchRequest) {
        return SchSystemParamsConvert.INSTANCE.convertVO(iSchSystemParamsDao.search(searchRequest));
    }

    /**
     * 新增
     *
     * @param schSystemParamsDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(SchSystemParamsDTO schSystemParamsDTO) {
        SchSystemParams schSystemParams = SchSystemParamsConvert.INSTANCE.convertDO(schSystemParamsDTO);
        return iSchSystemParamsDao.add(schSystemParams);
    }

    /**
     * 编辑
     *
     * @param schSystemParamsDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(SchSystemParamsDTO schSystemParamsDTO) {
        SchSystemParams schSystemParams = SchSystemParamsConvert.INSTANCE.convertDO(schSystemParamsDTO);
        return iSchSystemParamsDao.edit(schSystemParams);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iSchSystemParamsDao.delete(ids);
    }
}

